Subject: Re: [PATCH] builtin-remote: make reuse of code easier by not die()ing

From: Olivier Marin <[email-masked]>
Date: Mon, 09 Jun 2008 22:43:16 +0200

Johannes Schindelin a écrit :
> 
> 	Wow, that patch was hard ;-)

This is just what you wanted? I'm a little disappointed. ;-)

> 	BTW this thread shows -- again -- how hard it is to push toward 
> 	libification.  People seem to actively block it.

I don't see how this patch will solve the real problem. You just hide the die()
because get_fetch_map() still can die() and you add dead code. Now, the next
person that will use get_ref_states() will think it always return. Seems worse
to me.

IMHO, if you really want to libify you have to really analyze what should be
done. Split the work in coherent steps, write some specs to explain where you
want to go, how you planed to do it and why?

If you want to go this way, I'm ready to help you to do the hard work.

Olivier.